%global pkg_name split

%global common_summary Combinator library for splitting lists

%global common_description Combinator library and utility functions for splitting lists.

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.1.2.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf %{buildroot}
%ghc_lib_install
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 -p README %{buildroot}%{_docdir}/%{name}-%{version}/README


%clean
rm -rf %{buildroot}


%{?ghc_lib_package}


%changelog
* Tue Sep 14 2010 Ben Boeckel <mathstuf@gmail.com> - 0.1.2.1-1
- Update to 0.1.2.1

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 0.1.2-1
- Initial package

* Sun Sep  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
